# Models

## The \_\_schema0 object

```json
{"openapi":"3.1.0","info":{"title":"LearnCloud Network API","version":"1.0.0"},"components":{"schemas":{"__schema0":{"type":"object","properties":{"id":{"type":"string"},"statement":{"type":"string"},"description":{"type":"string"},"code":{"type":"string"},"icon":{"type":"string"},"type":{"type":"string"},"status":{"type":"string","enum":["active","archived"]},"children":{"type":"array","items":{"$ref":"#/components/schemas/__schema0"}}},"required":["statement"]}}}}
```

## The error.BAD\_REQUEST object

```json
{"openapi":"3.1.0","info":{"title":"LearnCloud Network API","version":"1.0.0"},"components":{"schemas":{"error.BAD_REQUEST":{"title":"Invalid input data error (400)","description":"The error information","type":"object","properties":{"message":{"description":"The error message","type":"string"},"code":{"description":"The error code","type":"string"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false}}}}
```

## The error.UNAUTHORIZED object

```json
{"openapi":"3.1.0","info":{"title":"LearnCloud Network API","version":"1.0.0"},"components":{"schemas":{"error.UNAUTHORIZED":{"title":"Authorization not provided error (401)","description":"The error information","type":"object","properties":{"message":{"description":"The error message","type":"string"},"code":{"description":"The error code","type":"string"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false}}}}
```

## The error.FORBIDDEN object

```json
{"openapi":"3.1.0","info":{"title":"LearnCloud Network API","version":"1.0.0"},"components":{"schemas":{"error.FORBIDDEN":{"title":"Insufficient access error (403)","description":"The error information","type":"object","properties":{"message":{"description":"The error message","type":"string"},"code":{"description":"The error code","type":"string"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false}}}}
```

## The error.NOT\_FOUND object

```json
{"openapi":"3.1.0","info":{"title":"LearnCloud Network API","version":"1.0.0"},"components":{"schemas":{"error.NOT_FOUND":{"title":"Not found error (404)","description":"The error information","type":"object","properties":{"message":{"description":"The error message","type":"string"},"code":{"description":"The error code","type":"string"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false}}}}
```

## The error.INTERNAL\_SERVER\_ERROR object

```json
{"openapi":"3.1.0","info":{"title":"LearnCloud Network API","version":"1.0.0"},"components":{"schemas":{"error.INTERNAL_SERVER_ERROR":{"title":"Internal server error error (500)","description":"The error information","type":"object","properties":{"message":{"description":"The error message","type":"string"},"code":{"description":"The error code","type":"string"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false}}}}
```

## The \_\_schema1 object

```json
{"openapi":"3.1.0","info":{"title":"LearnCloud Network API","version":"1.0.0"},"components":{"schemas":{"__schema1":{"type":"object","properties":{"id":{"type":"string"},"statement":{"type":"string"},"description":{"type":"string"},"code":{"type":"string"},"icon":{"type":"string"},"type":{"default":"skill","type":"string"},"status":{"default":"active","type":"string","enum":["active","archived"]},"frameworkId":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"children":{"type":"array","items":{"$ref":"#/components/schemas/__schema1"}},"hasChildren":{"type":"boolean"},"childrenCursor":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["id","statement","type","status","children","hasChildren"],"additionalProperties":false}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.learncard.com/sdks/learncard-network/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
